- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# _Rope_const_iterator< _CharT, _Alloc > Class Template Reference

Inheritance diagram for _Rope_const_iterator< _CharT, _Alloc >:

[legend]
Collaboration diagram for _Rope_const_iterator< _CharT, _Alloc >:

[legend]
List of all members.

## Public Types
typedef _CharT | reference
typedef const _CharT * | pointer
## Public Member Functions
| _Rope_const_iterator ()
| _Rope_const_iterator (const _Rope_const_iterator &__x)
| _Rope_const_iterator (const _Rope_iterator< _CharT, _Alloc > &__x)
| _Rope_const_iterator (const rope< _CharT, _Alloc > &__r, size_t __pos)
_Rope_const_iterator & | operator= (const _Rope_const_iterator &__x)
reference | operator * ()
_Rope_const_iterator & | operator++ ()
_Rope_const_iterator & | operator+= (ptrdiff_t __n)
_Rope_const_iterator & | operator-- ()
_Rope_const_iterator & | operator-= (ptrdiff_t __n)
_Rope_const_iterator | operator++ (int)
_Rope_const_iterator | operator-- (int)
reference | operator[] (size_t __n)
## Protected Member Functions
| _Rope_const_iterator (const _RopeRep *__root, size_t __pos)
## Friends
class | rope< _CharT, _Alloc >
_Rope_const_iterator< _CharT, _Alloc > | operator-__STL_NULL_TMPL_ARGS (const _Rope_const_iterator< _CharT, _Alloc > &__x, ptrdiff_t __n)
_Rope_const_iterator< _CharT, _Alloc > | operator+__STL_NULL_TMPL_ARGS (const _Rope_const_iterator< _CharT, _Alloc > &__x, ptrdiff_t __n)
_Rope_const_iterator< _CharT, _Alloc > | operator+__STL_NULL_TMPL_ARGS (ptrdiff_t __n, const _Rope_const_iterator< _CharT, _Alloc > &__x)
bool | operator==__STL_NULL_TMPL_ARGS (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
bool | operator<__STL_NULL_TMPL_ARGS (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)
ptrdiff_t | operator-__STL_NULL_TMPL_ARGS (const _Rope_const_iterator< _CharT, _Alloc > &__x, const _Rope_const_iterator< _CharT, _Alloc > &__y)

## Detailed Description

### template<class _CharT, class _Alloc>
class _Rope_const_iterator< _CharT, _Alloc >

Definition at line 930 of file stl_rope.h.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Configs/TI_DSP_BIOS/stl/stl_rope.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Configs/TI_DSP_BIOS/stl/ropeimpl.h